"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
require("../../utils/emitter.js");
const _sfc_main = {
  __name: "ProductDetails",
  setup(__props) {
    const productObject = common_vendor.ref({});
    const labelList = common_vendor.ref([]);
    common_vendor.onLoad((options) => {
      productObject.value = JSON.parse(options.info);
      labelList.value = productObject.value.label.split(";");
      labelList.value = labelList.value.filter((s) => {
        return s;
      });
    });
    const jump_buy = () => {
      common_vendor.index.navigateTo({
        url: "../../../pages/order/product-waitpay/product-waitpay?product=" + JSON.stringify(productObject.value)
      });
    };
    return (_ctx, _cache) => {
      return {
        a: productObject.value.goodImg,
        b: common_vendor.unref(common_assets.show1),
        c: common_vendor.unref(common_assets.show2),
        d: common_vendor.unref(common_assets.show3),
        e: common_vendor.unref(common_assets.show4),
        f: common_vendor.unref(common_assets.show3),
        g: common_vendor.t(productObject.value.price),
        h: common_vendor.t(productObject.value.name),
        i: common_vendor.unref(common_assets.denglong),
        j: common_vendor.t(productObject.value.introDetail),
        k: common_vendor.f(labelList.value, (item, index, i0) => {
          return {
            a: common_vendor.t(labelList.value[index]),
            b: index
          };
        }),
        l: common_vendor.unref(common_assets.kefu),
        m: common_vendor.o(jump_buy)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-3361b524"], ["__file", "D:/jiangchengfeiyi-xiaochengxu/pages/store-home/ProductDetails/ProductDetails.vue"]]);
wx.createPage(MiniProgramPage);
